using System;

internal sealed class Delegate822 : MulticastDelegate
{
	public extern object Invoke(Type type_0, long long_0);

	public static object smethod_0(Type type_0, long long_0, Delegate822 delegate822_1)
	{
		return delegate822_1(type_0, long_0);
	}

	public extern Delegate822(object object_0, IntPtr intptr_0);

	static Delegate822()
	{
		Class10.smethod_13(typeof(Delegate822).TypeHandle);
	}

	internal static Delegate822 delegate822_0;
}
